import { TeamAppsEvent } from "./util/TeamAppsEvent";
import { UiDummyComponent_ClickedEvent, UiDummyComponentCommandHandler, UiDummyComponentConfig, UiDummyComponentEventSource } from "../generated/UiDummyComponentConfig";
import { UiComponent } from "./UiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
export declare class UiDummyComponent extends UiComponent<UiDummyComponentConfig> implements UiDummyComponentCommandHandler, UiDummyComponentEventSource {
    readonly onClicked: TeamAppsEvent<UiDummyComponent_ClickedEvent>;
    private static allDummies;
    private $panel;
    private lastResize;
    private resizeCount;
    private destroyed;
    private clickCount;
    private jsClickCount;
    private hasBeenAttachedToDom;
    private commandCount;
    private text;
    constructor(config: UiDummyComponentConfig, context: TeamAppsUiContext);
    getMainDomElement(): JQuery;
    destroy(): void;
    private generateText;
    readonly wasDetached: boolean;
    onResize(): void;
    protected onAttachedToDom(): void;
    private updateContent;
    setText(text: string): void;
}
